% Edge diffraction toolbox
% Version ESIE00 25 June 2015
%
% This version does external scattering for convex objects.
%
% Main program
%  ESIE0main            - Calculates the specular and edge diffraction TFs and saves the results in files.
%
% Read CAD file and geometry pre-processing
%  ESIE0readsetup       - Runs the EDsetup m-file and saves all the settings in a mat-file.
%  ESIE0readcad         - Reads a file of type .CAD and saves all the geometry data in a mat-file. 
%  ESIE0ed2geox         - Calculates 2nd- and higher-order edge-related geom. parameters.
%  ESIE0edgeox          - Calculates some plane- and edge-related geometrical parameters.
%  ESIE0SorRgeo         - Calculates some source- or receiver-related geometrical parameters.
%
% Find sound paths
%  ESIE0findISEStree    - Constructs a list ("an ISES tree") of all possible specular-diffraction combinations.
%  ESIE0findpathsISESx  - Finds all possible paths that include direct sound, specular, diffraction.
%  ESIE0findis          - Returns the image source coordinates.
%  ESIE0getedgepoints   - Calculates a number of edge coordinates.
%  ESIE0chkISvisible    - Checks if paths from a set of IS to a set of R pass through their refl. planes.
%  ESIE0checkobstrpaths - Checks obstruction for a list of paths, or check
%                        if specular reflections are valid. (NOT USED!)
%  ESIE0poinpla         - Detects if one or more points are inside a number of finite planes. 
%  ESIE0chkISvisiblex   - Checks if paths from a set of IS to a set of R pass through their refl. planes. Extended version.
%                        (NOT USED!)
%  ESIE0directsound     - Checks if the direct sound is valid.
%  ESIE0speculISES      - Finds the valid specular reflections by checking visibility and obstruction.
%  ESIE0diffISESx       - Gives list of paths that includes a 1st-order diff. combination.
%  ESIE0infrontofplane  - Checks if a point is in front of, in plane with, or behind a list of planes. 
%
% Create transfer functions
%  ESIE0maketfs
%  ESIE0integ_e2estructure - Prepares the edge source matrix structure.
%  ESIE0integralequation  - Compute the edge source signals, and the resulting
%                          higher-order diffracted sound at the receivers.
%  ESIE0wedge1st_fd    - Computes the 1st-order diffraction transfer function.
%  ESIE0betaoverml_fd      - Integrand function which is called for num. int. of ED TF.
%  ESIE0distelements    - Generates edge points according to uniform
%                        distribution or the Gauss-Legendre distribution.
%  ESIE0integralequation
%  ESIE0calcedgeinteqmatrixsub2_mex    - Compiled (mex) function for Intel
%                        Mac.
%  ESIE0integ_souterm
%  ESIE0calcpropagatematrix
%  ESIE0checkobstr_pointtoedge      - Checks obstruction for a list of point-to-edge paths.
%
% Various plot functions
%  ESIE0plotmodel       - Plots a model which is given in an eddatafile.
%
% Various string functions
%  ESIE0extrnums        - Extracts the numerical values in a text-string, separated by a given delimiter.
%  ESIE0myvalueinput    - Prints a text on the screen and waits for a numerical to be input.
%  ESIE0strpend         - Removes a specified ending from a filename.
%
% Various numerical functions
%  ESIE0calcdist        - Gives distances between sets of points in 3D space.
%  ESIE0coordtrans1     - Transforms one set of cartesian coordinates to edge-related cylindrical coordinates.
%  ESIE0coordtrans2     - Transforms two sets of cartesian coordinates to edge-related cylindrical coordinates.
%  quad_gauss          - Generates edge points following a Gauss-Legendre distribution.
%  r_jacobi            - Subroutine for the quad_gauss function. Developed
%                        by Dirk Laurie and Walter Gautschi.
%  ESIE0cross           - Stripped down version of Matlab's built in function cross.
%  ESIE0compress7       - 
%  ESIE0compress3 
%
